------------------
--   Resistor   --
------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;


entity Act_resistor is
	generic (r : real);
	port (terminal a, b : Act); 
end Act_resistor;



architecture conservative of Act_resistor is

quantity Cres across Fres through a to b;

begin
	Cres == Fres * r;
end conservative;

