------------------
--   Resistor   --
------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;


entity MS2_arnm_resistor is
	generic (r : real);
	port (terminal a, b : MS2_arnm); 
end MS2_arnm_resistor;



architecture conservative of MS2_arnm_resistor is

quantity Cres across Fres through a to b;

begin
	Cres == Fres * r;
end conservative;

