------------------
--   Capacitor   --
------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;


entity MS2box_d2EYFP_capacitor is
	generic (c : real:=1.0);
	port (terminal a, b : MS2box_d2EYFP); 
end MS2box_d2EYFP_capacitor;



architecture conservative of MS2box_d2EYFP_capacitor is

quantity Ccap across Fcap through a to b;

begin
	Fcap == c * Ccap'dot;
end conservative;

