------------------
--   Resistor   --
------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;


entity d2EYFP_MS2_resistor is
	generic (r : real);
	port (terminal a, b : d2EYFP_MS2); 
end d2EYFP_MS2_resistor;



architecture conservative of d2EYFP_MS2_resistor is

quantity Cres across Fres through a to b;

begin
	Cres == Fres * r;
end conservative;

