------------------
--   Resistor   --
------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;


entity CDbox_MS2box_DsRed_resistor is
	generic (r : real);
	port (terminal a, b : CDbox_MS2box_DsRed); 
end CDbox_MS2box_DsRed_resistor;



architecture conservative of CDbox_MS2box_DsRed_resistor is

quantity Cres across Fres through a to b;

begin
	Cres == Fres * r;
end conservative;

