------------------
--   Resistor   --
------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;


entity ET1_resistor is
	generic (r : real);
	port (terminal a, b : ET1); 
end ET1_resistor;



architecture conservative of ET1_resistor is

quantity Cres across Fres through a to b;

begin
	Cres == Fres * r;
end conservative;

