------------------
--   Resistor   --
------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;


entity Erythromycin_resistor is
	generic (r : real);
	port (terminal a, b : Erythromycin); 
end Erythromycin_resistor;



architecture conservative of Erythromycin_resistor is

quantity Cres across Fres through a to b;

begin
	Cres == Fres * r;
end conservative;

